<?php 
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	$ced=$_REQUEST["ced"];
	$per=$_REQUEST["per"];
	include "fphp.php";	
	$enlace=cargar_conexion();
	$consulta="select now()";
	$resultado3 = mysql_query($consulta) or die($consulta.mysql_error());
	$row3=mysql_fetch_array($resultado3);
	$_POST['dia']=substr($row3[0],0,10);

	$consulta="select * from empresa where id='".$_SESSION['id_validar']."'";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	while ($row = mysql_fetch_array( $resultado ) ) {
			$_POST['dir']=$row['pie'];
			$_POST['rif']=$row['encabeza'];
	}
	
	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$ced."' ";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	while ($row = mysql_fetch_array( $resultado ) ) {
		$_POST['nom']=trim($row['nombres']).", ".$row['apellidos'];
		$_POST['ced']=$row['codigo'];
		$_POST['car']=trim($row['pasaporte']);
		$_POST['cod']=trim($row['sso']);
		$_POST['hor']=$row['hijo'];
		$_POST['fec']=$row['fechai'];
	}
	
	require_once 'fpdf.php';
	class PDF extends FPDF {
	///////////////////////////////////////////////// encabezado ////////////////////////////////////////////////////////////////
	function Header()
	{
	    	$this->Image($_SESSION['logo_validar'],10,10,20,10);
			$this->SetFont('Arial','',18);
			$this->Cell(20,8,'',0,0,''); 
			$this->Cell(180,8,$_SESSION['empresa_validar'],0,1,''); 
			$this->SetFont('Arial','',10);
			$this->Cell(20,8,'',0,0,''); 
			$this->Cell(80,5,$_POST['rif'],0,0,'L'); 
			$this->Cell(100,5,'Fecha: '.mostrar_fecha($_POST['dia']),0,1,'R'); 
			
			$this->SetFont('Arial','B',13);
			$this->Cell(0,5,'Recibo de Pagos de Nómina',0,1,'C');

			$this->SetFont('Arial','',10);
			$this->Cell(200,5,'Código de Nómina: '.$_POST['cod'],0,1,''); 
			$this->Cell(200,5,'Cedula de Identidad: '.$_POST['ced'],0,1,''); 
			$this->Cell(200,5,'Apellidos y Nombres: '.$_POST['nom'],0,1,''); 
			$this->Cell(200,5,'Cargo: '.$_POST['car'],0,1); 
			$this->Cell(70,5,'Carga Horaria: '.$_POST['hor'],0,0); 
			$this->Cell(70,5,'Fecha de Ingreso: '.mostrar_fecha($_POST['fec']),0,1); 
			
			$header=array('Código','Detalle del Concepto','Asignación','Deducción','Saldo');
			$w=array(30,80,30, 30, 30);
			$this->SetFillColor(255,0,0);
			$this->SetTextColor(255);
			$this->SetDrawColor(128,0,0);
			$this->SetLineWidth(.3);
			$this->SetFont('','');
			$this->SetFont('arial','',8);
			for($i=0;$i<count($header);$i++)
				$this->Cell($w[$i],4,$header[$i],1,0,'C',1);
			$this->Ln();
			$this->SetFillColor(224,235,255);
			$this->SetTextColor(0);
			$this->SetFont('');
		}
		//Pie de página ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		function Footer()
		{
			$this->Cell(0,4,'Dirección: '.$_POST['dir'],0,1,'C');
		}
	}
	//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	$pdf=new PDF($orientation='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$w=array(30,80,30, 30, 30);
			
	//////////////////////////  procesar /////////////////////////////////////////////////////////////

	$consulta="select * from historico_recibos where id='".$_SESSION['id_validar']."' and trim(ced)='$ced' and trim(per)='$per' and (a+d+s<>0) order by xxx";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$num_rows = mysql_num_rows($resultado);
	if ($num_rows != 0){
		$ta=0;$td=0;
		$pdf->SetFont('Arial','',10);
		while ($row=mysql_fetch_array($resultado)) {			
			$pdf->cell($w[0],5,$row['cod'],0,0,'',$color);
			$pdf->cell($w[1],5,$row['con'],0,0,'',$color);
			$pdf->cell($w[2],5,number_format($row['a'],2),0,0,'R',$color);
			$pdf->cell($w[3],5,number_format($row['d'],2),0,0,'R',$color);
			$pdf->cell($w[4],5,number_format($row['s'],2),0,1,'R',$color);
			$color=!$color;
			$ta+=$row['a'];
			$td+=$row['d'];
			$dper=$row['per'];
		}	
		$tam=$w[0]+$w[1]+$w[2]+$w[3]+$w[4];
		$pdf->cell(200,0,'',1,1,'');
		$pdf->cell($w[0]+$w[1],5,'Totales Generales Bs.',0,0,'R');
		$pdf->cell($w[2],5,number_format($ta,2),0,0,'R');
		$pdf->cell($w[3],5,number_format($td,2),0,0,'R');		
		$pdf->cell($w[4],5,'',0,1,'R');		
		$pdf->cell($tam,0,'',1,1,'');$pdf->ln(2);
		$pdf->cell($tam,0,'',1,1,'');
		$pdf->cell($w[0]+$w[1]+$w[2]+$w[3],5,'Total a Cobrar Bs.',0,0,'R');
		$pdf->cell($w[4],5,number_format($ta-$td,2),0,1,'R');
		
		$pdf->ln(10);
		$pdf->cell($tam,5,'Sello de Empresa',0,1,'L');
		$pdf->cell($tam,5,'Periodo: '.$dper,0,1,'L');

		$pdf->Output();
		
	} else {
		echo "<br><br><font face=verdana size=2 color=#cc0000>No hay Registros Disponible....";
		echo "<input type='button' style='background:#C0D9D9;' value='Cerrar Ventana' name='cmdPrint2' onclick='window.close();'>";
	}	
	mysql_free_result($resultado);
	mysql_close($enlace);
?>
